import {createApp} from 'vue'
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
import 'element-plus/theme-chalk/dark/css-vars.css'
import 'normalize.css' // css初始化
import './assets/style/common.scss' // 公共css
import App from './App.vue'
import store from './store'
import router, {addRoutes} from './router'
import * as ElementPlusIconsVue from '@element-plus/icons-vue'
import zhCn from 'element-plus/es/locale/lang/zh-cn'
import JsonViewer from "vue3-json-viewer";
import "vue3-json-viewer/dist/index.css";
import DataVVue3 from '@kjgl77/datav-vue3'
import tip from '@/instructions/tip'

addRoutes()

const app = createApp(App)
for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
    app.component(key, component)
}
app.use(ElementPlus, {locale: zhCn, size: store.state.app.elementSize})
app.use(store)
app.use(router)
app.use(DataVVue3)
tip(app)

app.use(JsonViewer);
app.mount('#app')

